Create Transactional Quote

Return crypto quote for amount exchanged from one currency to another and it’s expiration time in UTC. Response also includes a quoteId, which can be used to initiate a transaction. If the transaction is initiated with the quoteId, the transaction will execute based on the information provided in the quote: the user will be credited and debited the exact amounts specified in the quote, charged the exact amount of fees as specified in the quote, etc. Due to crypto volatility the quote expires after a certain amount of time. By default its 30 seconds, but timeout can be configured on a partner level. The same endpoint is used to create both a buy or a sell quote. To create a buy quote provide a fiat currency in debitCurrencyCode (e.g. USD) and a crypto currency code in creditCurrencyCode (e.g. DOGE). Vice versa to create a sell quote

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
int64
required

Unique customer identifier

string

ID of payment provider (provided by Coinme)

string
required

Debit currency code (i.e. USD)

string
required

Credit currency code (i.e. DOGE)

string
required

Amount to buy or sell. This is used as the input value to calculate the quote

string
required

Currency code of amount (i.e. USD). It must match either creditCurrency or debitCurrency

string

should be specified only if fiat settlement is done through Coinme and requires a physical location (i.e. selling crypto for cash)

gpsCoordinates
object

alternative to locationReference

string
enum
Defaults to INTERNAL

Possible values are "INTERNAL" or "EXTERNAL". defaults to "INTERNAL". Use "EXTERNAL" to also calculate blockchain fees

Allowed:
string

Possible values are "XLM", "ETH", or "LINEA". Use only if Coinme supports trading this currency on multiple chains. otherwise unnecessary

string

Applies promotional fees for this transaction. Please contact your Coinme Account Manager to set up a custom promotional code

Headers
string
required
Defaults to Bearer ******

Bearer token {authorize} endpoint

string
required

Partner User Agent ID (provided by Coinme)

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json